#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './datetimeconfigureviewbackend.ui'
**
** Created: Sat Jun 7 23:18:25 2003
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.1.1   edited Nov 21 17:40 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "datetimeconfigureviewbackend.h"

#include <qvariant.h>
#include <qcheckbox.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/* 
 *  Constructs a DateTimeConfigViewBackEnd as a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f'.
 */
DateTimeConfigViewBackEnd::DateTimeConfigViewBackEnd( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "DateTimeConfigViewBackEnd" );
    DateTimeConfigViewBackEndLayout = new QGridLayout( this, 1, 1, 11, 6, "DateTimeConfigViewBackEndLayout"); 

    mUseDateTimeTags = new QCheckBox( this, "mUseDateTimeTags" );

    DateTimeConfigViewBackEndLayout->addWidget( mUseDateTimeTags, 0, 0 );

    mDateTimeTagOptions = new QGroupBox( this, "mDateTimeTagOptions" );
    mDateTimeTagOptions->setColumnLayout(0, Qt::Vertical );
    mDateTimeTagOptions->layout()->setSpacing( 6 );
    mDateTimeTagOptions->layout()->setMargin( 11 );
    mDateTimeTagOptionsLayout = new QGridLayout( mDateTimeTagOptions->layout() );
    mDateTimeTagOptionsLayout->setAlignment( Qt::AlignTop );

    mIncludeSeconds = new QCheckBox( mDateTimeTagOptions, "mIncludeSeconds" );

    mDateTimeTagOptionsLayout->addWidget( mIncludeSeconds, 1, 0 );

    mUseShortDateTime = new QCheckBox( mDateTimeTagOptions, "mUseShortDateTime" );

    mDateTimeTagOptionsLayout->addWidget( mUseShortDateTime, 0, 0 );

    DateTimeConfigViewBackEndLayout->addWidget( mDateTimeTagOptions, 1, 0 );

    GroupBox3 = new QGroupBox( this, "GroupBox3" );
    GroupBox3->setColumnLayout(0, Qt::Vertical );
    GroupBox3->layout()->setSpacing( 6 );
    GroupBox3->layout()->setMargin( 11 );
    GroupBox3Layout = new QGridLayout( GroupBox3->layout() );
    GroupBox3Layout->setAlignment( Qt::AlignTop );

    TextLabel1_2 = new QLabel( GroupBox3, "TextLabel1_2" );
    TextLabel1_2->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter | QLabel::AlignLeft ) );

    GroupBox3Layout->addWidget( TextLabel1_2, 0, 0 );

    DateTimeConfigViewBackEndLayout->addWidget( GroupBox3, 5, 0 );
    QSpacerItem* spacer = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    DateTimeConfigViewBackEndLayout->addItem( spacer, 4, 0 );

    mExpirationOptions = new QGroupBox( this, "mExpirationOptions" );
    mExpirationOptions->setColumnLayout(0, Qt::Vertical );
    mExpirationOptions->layout()->setSpacing( 6 );
    mExpirationOptions->layout()->setMargin( 11 );
    mExpirationOptionsLayout = new QGridLayout( mExpirationOptions->layout() );
    mExpirationOptionsLayout->setAlignment( Qt::AlignTop );

    TextLabel1 = new QLabel( mExpirationOptions, "TextLabel1" );

    mExpirationOptionsLayout->addWidget( TextLabel1, 1, 0 );

    mExpirationDays = new QSpinBox( mExpirationOptions, "mExpirationDays" );

    mExpirationOptionsLayout->addWidget( mExpirationDays, 1, 1 );

    mExpirationHours = new QSpinBox( mExpirationOptions, "mExpirationHours" );

    mExpirationOptionsLayout->addWidget( mExpirationHours, 2, 1 );

    TextLabel3 = new QLabel( mExpirationOptions, "TextLabel3" );

    mExpirationOptionsLayout->addWidget( TextLabel3, 2, 2 );

    TextLabel2 = new QLabel( mExpirationOptions, "TextLabel2" );

    mExpirationOptionsLayout->addWidget( TextLabel2, 1, 2 );

    mExpirationMinutes = new QSpinBox( mExpirationOptions, "mExpirationMinutes" );

    mExpirationOptionsLayout->addWidget( mExpirationMinutes, 3, 1 );

    TextLabel4 = new QLabel( mExpirationOptions, "TextLabel4" );

    mExpirationOptionsLayout->addWidget( TextLabel4, 3, 2 );

    DateTimeConfigViewBackEndLayout->addWidget( mExpirationOptions, 3, 0 );

    mNeverExpire = new QCheckBox( this, "mNeverExpire" );

    DateTimeConfigViewBackEndLayout->addWidget( mNeverExpire, 2, 0 );
    languageChange();
    resize( QSize(493, 480).expandedTo(minimumSizeHint()) );

    // signals and slots connections
    connect( mUseDateTimeTags, SIGNAL( toggled(bool) ), mDateTimeTagOptions, SLOT( setEnabled(bool) ) );
    connect( mNeverExpire, SIGNAL( toggled(bool) ), mExpirationOptions, SLOT( setDisabled(bool) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
DateTimeConfigViewBackEnd::~DateTimeConfigViewBackEnd()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void DateTimeConfigViewBackEnd::languageChange()
{
    setCaption( tr2i18n( "Form1" ) );
    mUseDateTimeTags->setText( tr2i18n( "Display Date and Time Tags for Feeds" ) );
    mDateTimeTagOptions->setTitle( tr2i18n( "Date and Time Tag Options" ) );
    mIncludeSeconds->setText( tr2i18n( "Include Seconds" ) );
    mUseShortDateTime->setText( tr2i18n( "Use Short Date and Time" ) );
    GroupBox3->setTitle( tr2i18n( "Note" ) );
    TextLabel1_2->setText( tr2i18n( "If enabled, date and time tags are displayed as tooltips.  Simply move the cursor over a Feeds in the MyChannelBar to view when the feed was last updated (downloaded) and last displayed." ) );
    mExpirationOptions->setTitle( tr2i18n( "Expiration" ) );
    TextLabel1->setText( tr2i18n( "New feeds expire after" ) );
    TextLabel3->setText( tr2i18n( "hours, and" ) );
    TextLabel2->setText( tr2i18n( "days," ) );
    TextLabel4->setText( tr2i18n( "minutes." ) );
    mNeverExpire->setText( tr2i18n( "New feeds never expire" ) );
}

#include "datetimeconfigureviewbackend.moc"
