#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './generalconfigureviewbackend.ui'
**
** Created: Sat Jun 7 23:18:08 2003
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.1.1   edited Nov 21 17:40 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "generalconfigureviewbackend.h"

#include <qvariant.h>
#include <qcheckbox.h>
#include <qcombobox.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/* 
 *  Constructs a GeneralConfigureViewBackEnd as a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f'.
 */
GeneralConfigureViewBackEnd::GeneralConfigureViewBackEnd( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "GeneralConfigureViewBackEnd" );
    GeneralConfigureViewBackEndLayout = new QGridLayout( this, 1, 1, 11, 6, "GeneralConfigureViewBackEndLayout"); 

    mScrollingOptions = new QGroupBox( this, "mScrollingOptions" );
    mScrollingOptions->setFrameShape( QGroupBox::Box );
    mScrollingOptions->setFrameShadow( QGroupBox::Sunken );
    mScrollingOptions->setColumnLayout(0, Qt::Vertical );
    mScrollingOptions->layout()->setSpacing( 6 );
    mScrollingOptions->layout()->setMargin( 11 );
    mScrollingOptionsLayout = new QGridLayout( mScrollingOptions->layout() );
    mScrollingOptionsLayout->setAlignment( Qt::AlignTop );

    mScrollingSpeed = new QSpinBox( mScrollingOptions, "mScrollingSpeed" );

    mScrollingOptionsLayout->addWidget( mScrollingSpeed, 0, 1 );

    TextLabel2 = new QLabel( mScrollingOptions, "TextLabel2" );

    mScrollingOptionsLayout->addWidget( TextLabel2, 0, 0 );

    mLoopFeeds = new QCheckBox( mScrollingOptions, "mLoopFeeds" );

    mScrollingOptionsLayout->addMultiCellWidget( mLoopFeeds, 1, 1, 0, 1 );

    GeneralConfigureViewBackEndLayout->addWidget( mScrollingOptions, 2, 0 );

    mScrollFeeds = new QCheckBox( this, "mScrollFeeds" );

    GeneralConfigureViewBackEndLayout->addWidget( mScrollFeeds, 1, 0 );

    GroupBox3 = new QGroupBox( this, "GroupBox3" );
    GroupBox3->setColumnLayout(0, Qt::Vertical );
    GroupBox3->layout()->setSpacing( 6 );
    GroupBox3->layout()->setMargin( 11 );
    GroupBox3Layout = new QGridLayout( GroupBox3->layout() );
    GroupBox3Layout->setAlignment( Qt::AlignTop );

    TextLabel1 = new QLabel( GroupBox3, "TextLabel1" );

    GroupBox3Layout->addWidget( TextLabel1, 0, 0 );

    mURLHandler = new QComboBox( FALSE, GroupBox3, "mURLHandler" );
    mURLHandler->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, mURLHandler->sizePolicy().hasHeightForWidth() ) );
    mURLHandler->setEditable( TRUE );
    mURLHandler->setAutoCompletion( TRUE );
    mURLHandler->setDuplicatesEnabled( FALSE );

    GroupBox3Layout->addWidget( mURLHandler, 0, 1 );

    GeneralConfigureViewBackEndLayout->addWidget( GroupBox3, 0, 0 );

    GroupBox3_2 = new QGroupBox( this, "GroupBox3_2" );
    GroupBox3_2->setColumnLayout(0, Qt::Vertical );
    GroupBox3_2->layout()->setSpacing( 6 );
    GroupBox3_2->layout()->setMargin( 11 );
    GroupBox3_2Layout = new QGridLayout( GroupBox3_2->layout() );
    GroupBox3_2Layout->setAlignment( Qt::AlignTop );

    mAlwaysOnTop = new QCheckBox( GroupBox3_2, "mAlwaysOnTop" );

    GroupBox3_2Layout->addWidget( mAlwaysOnTop, 0, 0 );

    Layout1 = new QHBoxLayout( 0, 0, 6, "Layout1"); 

    TextLabel1_2 = new QLabel( GroupBox3_2, "TextLabel1_2" );
    Layout1->addWidget( TextLabel1_2 );

    mButtonText = new QLineEdit( GroupBox3_2, "mButtonText" );
    Layout1->addWidget( mButtonText );

    GroupBox3_2Layout->addLayout( Layout1, 4, 0 );

    mShowTips = new QCheckBox( GroupBox3_2, "mShowTips" );

    GroupBox3_2Layout->addWidget( mShowTips, 1, 0 );

    mUseSysTray = new QCheckBox( GroupBox3_2, "mUseSysTray" );

    GroupBox3_2Layout->addWidget( mUseSysTray, 2, 0 );

    mPauseOnMinimized = new QCheckBox( GroupBox3_2, "mPauseOnMinimized" );

    GroupBox3_2Layout->addWidget( mPauseOnMinimized, 3, 0 );

    GeneralConfigureViewBackEndLayout->addWidget( GroupBox3_2, 3, 0 );
    languageChange();
    resize( QSize(355, 386).expandedTo(minimumSizeHint()) );

    // signals and slots connections
    connect( mScrollFeeds, SIGNAL( toggled(bool) ), mScrollingOptions, SLOT( setEnabled(bool) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
GeneralConfigureViewBackEnd::~GeneralConfigureViewBackEnd()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void GeneralConfigureViewBackEnd::languageChange()
{
    setCaption( tr2i18n( "Form1" ) );
    mScrollingOptions->setTitle( tr2i18n( "Scrolling Options" ) );
    TextLabel2->setText( tr2i18n( "Scrolling Speed :" ) );
    mLoopFeeds->setText( tr2i18n( "Loop Feeds" ) );
    mScrollFeeds->setText( tr2i18n( "Scroll Feeds" ) );
    GroupBox3->setTitle( tr2i18n( "URL Handling" ) );
    TextLabel1->setText( tr2i18n( "Open URLs with :" ) );
    mURLHandler->clear();
    mURLHandler->insertItem( tr2i18n( "netscape %url" ) );
    mURLHandler->insertItem( tr2i18n( "konqueror %url" ) );
    mURLHandler->insertItem( tr2i18n( "lynx %url" ) );
    mURLHandler->insertItem( tr2i18n( "kmail --composer --body %url" ) );
    mURLHandler->setCurrentItem( 0 );
    GroupBox3_2->setTitle( tr2i18n( "Miscellaneous Options" ) );
    mAlwaysOnTop->setText( tr2i18n( "Always On Top" ) );
    TextLabel1_2->setText( tr2i18n( "Button Text :" ) );
    mShowTips->setText( tr2i18n( "Show Tips at Startup" ) );
    mUseSysTray->setText( tr2i18n( "Minimize to System Tray" ) );
    mPauseOnMinimized->setText( tr2i18n( "Pause Scrolling When Minimized" ) );
}

#include "generalconfigureviewbackend.moc"
