#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './quickviewconfigurationviewbackend.ui'
**
** Created: Sat Jun 7 23:18:01 2003
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.1.1   edited Nov 21 17:40 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "quickviewconfigurationviewbackend.h"

#include <qvariant.h>
#include <qbuttongroup.h>
#include <qcheckbox.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qradiobutton.h>
#include <qslider.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/* 
 *  Constructs a QuickViewConfigViewBackEnd as a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f'.
 */
QuickViewConfigViewBackEnd::QuickViewConfigViewBackEnd( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "QuickViewConfigViewBackEnd" );
    QuickViewConfigViewBackEndLayout = new QGridLayout( this, 1, 1, 11, 6, "QuickViewConfigViewBackEndLayout"); 

    mDisplayQuickView = new QCheckBox( this, "mDisplayQuickView" );

    QuickViewConfigViewBackEndLayout->addWidget( mDisplayQuickView, 0, 0 );
    QSpacerItem* spacer = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    QuickViewConfigViewBackEndLayout->addItem( spacer, 2, 0 );

    mQuickViewGroup = new QButtonGroup( this, "mQuickViewGroup" );
    mQuickViewGroup->setColumnLayout(0, Qt::Vertical );
    mQuickViewGroup->layout()->setSpacing( 6 );
    mQuickViewGroup->layout()->setMargin( 11 );
    mQuickViewGroupLayout = new QGridLayout( mQuickViewGroup->layout() );
    mQuickViewGroupLayout->setAlignment( Qt::AlignTop );

    mFade = new QCheckBox( mQuickViewGroup, "mFade" );

    mQuickViewGroupLayout->addWidget( mFade, 1, 0 );

    mFadeSpeedGroup = new QGroupBox( mQuickViewGroup, "mFadeSpeedGroup" );
    mFadeSpeedGroup->setColumnLayout(0, Qt::Vertical );
    mFadeSpeedGroup->layout()->setSpacing( 6 );
    mFadeSpeedGroup->layout()->setMargin( 11 );
    mFadeSpeedGroupLayout = new QGridLayout( mFadeSpeedGroup->layout() );
    mFadeSpeedGroupLayout->setAlignment( Qt::AlignTop );

    Layout6 = new QVBoxLayout( 0, 0, 6, "Layout6"); 

    mFadeSpeed = new QSlider( mFadeSpeedGroup, "mFadeSpeed" );
    mFadeSpeed->setMinValue( 1 );
    mFadeSpeed->setMaxValue( 10 );
    mFadeSpeed->setOrientation( QSlider::Horizontal );
    mFadeSpeed->setTickmarks( QSlider::Both );
    mFadeSpeed->setTickInterval( 1 );
    Layout6->addWidget( mFadeSpeed );

    Layout5 = new QHBoxLayout( 0, 0, 6, "Layout5"); 

    TextLabel1_3 = new QLabel( mFadeSpeedGroup, "TextLabel1_3" );
    Layout5->addWidget( TextLabel1_3 );
    QSpacerItem* spacer_2 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout5->addItem( spacer_2 );

    TextLabel2_3 = new QLabel( mFadeSpeedGroup, "TextLabel2_3" );
    Layout5->addWidget( TextLabel2_3 );
    Layout6->addLayout( Layout5 );

    mFadeSpeedGroupLayout->addLayout( Layout6, 0, 0 );

    mQuickViewGroupLayout->addWidget( mFadeSpeedGroup, 2, 0 );

    mUseToolTips = new QCheckBox( mQuickViewGroup, "mUseToolTips" );

    mQuickViewGroupLayout->addWidget( mUseToolTips, 3, 0 );

    ButtonGroup5 = new QButtonGroup( mQuickViewGroup, "ButtonGroup5" );
    ButtonGroup5->setColumnLayout(0, Qt::Vertical );
    ButtonGroup5->layout()->setSpacing( 6 );
    ButtonGroup5->layout()->setMargin( 11 );
    ButtonGroup5Layout = new QGridLayout( ButtonGroup5->layout() );
    ButtonGroup5Layout->setAlignment( Qt::AlignTop );

    mScrollHorizontally = new QRadioButton( ButtonGroup5, "mScrollHorizontally" );

    ButtonGroup5Layout->addWidget( mScrollHorizontally, 1, 0 );

    mScrollVertically = new QRadioButton( ButtonGroup5, "mScrollVertically" );

    ButtonGroup5Layout->addWidget( mScrollVertically, 0, 0 );

    mQuickViewGroupLayout->addWidget( ButtonGroup5, 0, 0 );

    QuickViewConfigViewBackEndLayout->addWidget( mQuickViewGroup, 1, 0 );
    languageChange();
    resize( QSize(376, 480).expandedTo(minimumSizeHint()) );

    // signals and slots connections
    connect( mDisplayQuickView, SIGNAL( toggled(bool) ), mQuickViewGroup, SLOT( setEnabled(bool) ) );
    connect( mFade, SIGNAL( toggled(bool) ), mFadeSpeedGroup, SLOT( setEnabled(bool) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
QuickViewConfigViewBackEnd::~QuickViewConfigViewBackEnd()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void QuickViewConfigViewBackEnd::languageChange()
{
    setCaption( tr2i18n( "Form1" ) );
    mDisplayQuickView->setText( tr2i18n( "Display Quick View when Minimized" ) );
    mQuickViewGroup->setTitle( tr2i18n( "Quick View Options" ) );
    mFade->setText( tr2i18n( "Fade In And Out" ) );
    mFadeSpeedGroup->setTitle( tr2i18n( "Fade Speed" ) );
    TextLabel1_3->setText( tr2i18n( "Slow" ) );
    TextLabel2_3->setText( tr2i18n( "Fast" ) );
    mUseToolTips->setText( tr2i18n( "Display Full Information As A Tool Tip" ) );
    ButtonGroup5->setTitle( tr2i18n( "Scroll Direction" ) );
    mScrollHorizontally->setText( tr2i18n( "Scroll Horizontally" ) );
    mScrollVertically->setText( tr2i18n( "Scroll Vertically" ) );
}

#include "quickviewconfigurationviewbackend.moc"
