/***************************************************************************
                          quickviewurl.h  -  description
                             -------------------
    begin                : Mon Aug 5 2002
    copyright            : (C) 2002 by Chris Wallace
    email                : chris.wallace@netflash.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QUICKVIEWURL_H
#define QUICKVIEWURL_H

#include <qwidget.h>
#include <kurllabel.h>

/**
  *@author Chris Wallace
  */

class QuickViewURL : public KURLLabel  {
   Q_OBJECT
  public: 
	  QuickViewURL(QWidget *parent=0, const char *name=0);
    QuickViewURL(const QString & url, const QString & text = QString::null, QWidget *parent=0, const char *name=0);

	  ~QuickViewURL();

  signals:
    void signalDragEntered(QDragEnterEvent *);
    void signalDroped(QDropEvent *);

  protected:
    void dragEnterEvent(QDragEnterEvent *);
    void dropEvent(QDropEvent *);
};

#endif
